Bug 548482 - Review Request: gnome-dvb-daemon - Digital Television manager
Review Request: gnome-dvb-daemon - Digital Television manager
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On: 532470
Blocks: F13Blocker/F13FinalBlocker
  Show dependency treegraph
 
Reported: 2009-12-17 10:44 EST by Bastien Nocera
Modified: 2010-03-03 06:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-03 06:32:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mclasen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2009-12-17 10:44:22 EST
Spec URL: http://people.fedoraproject.org/~hadess/gnome-dvb-daemon/gnome-dvb-daemon.spec
SRPM URL: http://people.fedoraproject.org/~hadess/gnome-dvb-daemon/gnome-dvb-daemon-0.1.13-1.fc12.src.rpm
Description: gnome-dvb-daemon contains a daemon responsible for handling Digital Television
adapters, including recording, listing programs schedules and scanning for 
channels.

This package also contains a Totem plugin for the movie player and a plugin
for sharing recordings and live TV over UPNP using Rygel.
Comment 1 Bill Nottingham 2009-12-17 12:22:58 EST
Dumb question - does it make sense to split off the totem plugin such that you'd be running the daemon on some server box, and the totem plugin on other machines on your network?
Comment 2 Bastien Nocera 2009-12-17 19:41:20 EST
(In reply to comment #1)
> Dumb question - does it make sense to split off the totem plugin such that
> you'd be running the daemon on some server box, and the totem plugin on other
> machines on your network?  

The Totem plugin doesn't hard-require Totem, so it's just a couple of python files on your computer...
Comment 5 Bastien Nocera 2010-02-17 10:49:09 EST
Adding to F13 blockers, otherwise Totem will regress and lose DVB support.
Comment 6 Matthias Clasen 2010-02-23 18:13:14 EST
Builds fine in mock

rpmlint results:

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/gnome-dvb-daemon-0.1.14-2.fc14.*.rpm
gnome-dvb-daemon.src: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
gnome-dvb-daemon.src: W: spelling-error %description -l en_US Rygel -> Rigel, Ry gel, Ry-gel
gnome-dvb-daemon.x86_64: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
gnome-dvb-daemon.x86_64: W: spelling-error %description -l en_US Rygel -> Rigel, Ry gel, Ry-gel
gnome-dvb-daemon.x86_64: E: non-executable-script /usr/lib/python2.6/site-packages/gnomedvb/DBusWrapper.py 0644L /usr/bin/env
2 packages and 0 specfiles checked; 1 errors, 4 warnings.

The spelling warnings are laughable, but the permissions should probably be fixed. While doing so, you probably also want to nuke /usr/bin/env there, since I believe our policy is to use system python.
Comment 7 Matthias Clasen 2010-02-23 18:29:57 EST
package name: ok
spec file name: ok
packaging guidelines: ok, could maybe loose the BuildRoot (since rpmbuild handles that itself nowadays)
license: ok
license field: seems wrong, COPYING is GPLv3, but you say LGPLv3+
license file: ok
spec file language: ok
spec file readable: ok
upstream sources: ok
buildable: ok
ExcludeArch: ok
BuildRequires: ok
locale handling: ok
ldconfig: ok
system libraries: ok
relocatable: no, ok
directory ownership: need to add a totem dep for /usr/lib/totem/plugins
duplicate files: ok
file permissions: see above
%clean: ok
macro use: ok
content: permissible
large docs: none, ok
%doc content: ok
headers: ok
static libs: ok
pc files: ok
shared libs: ok
devel deps: ok
libtool archives: ok
gui apps: ok
directory ownership: ok
%install: ok
utf8 filenames: ok
Comment 8 Bastien Nocera 2010-02-24 11:21:16 EST
The python scripts aren't really scripts. They're python modules. The env bits are used when running the program by itself (usually running the self-test for that part of the module).

It shouldn't be executable in its installed form.

Fixed the buildroot, and license. Will leave the plugins directory, as I'd rather totem wasn't a requirement for gnome-dvb-daemon. Totem would require gnome-dvb-daemon, but not vice-versa (as gnome-dvb-daemon can be used by other apps).

http://people.fedoraproject.org/~hadess/gnome-dvb-daemon/gnome-dvb-daemon.spec
http://people.fedoraproject.org/~hadess/gnome-dvb-daemon/gnome-dvb-daemon-0.1.14-3.fc12.src.rpm
Comment 9 Matthias Clasen 2010-02-24 11:51:13 EST
> Will leave the plugins directory, as I'd
> rather totem wasn't a requirement for gnome-dvb-daemon. Totem would require
> gnome-dvb-daemon, but not vice-versa

Well, in that case, you need to own the directories, I think.
Comment 10 Bastien Nocera 2010-03-01 12:04:01 EST
(In reply to comment #9)
> > Will leave the plugins directory, as I'd
> > rather totem wasn't a requirement for gnome-dvb-daemon. Totem would require
> > gnome-dvb-daemon, but not vice-versa
> 
> Well, in that case, you need to own the directories, I think.    

"you" being? I don't want peopel to have to install Totem to be able to install gnome-dvb-daemon. Can 2 packages own the same directories?
Comment 11 Matthias Clasen 2010-03-01 14:25:40 EST
Yes, that is what I meant: have both packages own the directories
Comment 13 Matthias Clasen 2010-03-02 08:53:25 EST
approved
Comment 14 Bastien Nocera 2010-03-02 08:54:47 EST
New Package CVS Request
=======================
Package Name: gnome-dvb-daemon
Short Description: Digital Television manager
Owners: hadess
Branches: F-12 F-13
InitialCC:
Comment 15 Jason Tibbitts 2010-03-02 17:49:53 EST
CVS done (by process-cvs-requests.py).
Comment 16 Bastien Nocera 2010-03-03 06:32:03 EST
Pushed to F-13 and rawhide.

The F-12 build will wait until gstreamer-plugins-bad-free becomes available outside the updates.

Note You need to log in before you can comment on or make changes to this bug.